package Config::ClawsMail::Server;
use Moo;
use Types::Standard qw(Str Enum);
use Config::ClawsMail::Password;
use namespace::clean;

has [qw(host port)] => (
    is => 'ro',
    required => 1,
    isa => Str,
);

has [qw(user_id password)] => (
    is => 'ro',
    isa => Str,
);

has ssl => (
    is => 'ro',
    isa => Enum[qw(no ssl starttls)],
    default => sub { 'no' },
);

sub cleartext_password {
    my ($self) = @_;
    return Config::ClawsMail::Password::cleartext_password($self->password);
}

1;
